Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfScriptType

    java.lang.Object
      java.lang.Enum<OdfScriptType>
          org.odftoolkit.odfdom.dom.type.style.OdfScriptType

All Implemented Interfaces:
  Serializable, Comparable<OdfScriptType>

    public enum OdfScriptType

extends Enum<OdfScriptType>

DOM implementation of OpenDocument attribute style:script-type.

Enum Constant Summary
`ASIAN`
`COMPLEX`
`IGNORE`
`LATIN`

Method Summary
`static OdfScriptType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfScriptType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfScriptType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfScriptType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IGNORE

    public static final OdfScriptType IGNORE

### ASIAN

    public static final OdfScriptType ASIAN

### LATIN

    public static final OdfScriptType LATIN

### COMPLEX

    public static final OdfScriptType COMPLEX

Method Detail

### values

    public static OdfScriptType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfScriptType c : OdfScriptType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfScriptType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfScriptType>`
  Returns:
    return the name of OdfScriptType

### toString

    public static String toString(OdfScriptType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfScriptType, see style:script-type
  Returns:
    return the name of OdfScriptType

### enumValueOf

    public static OdfScriptType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfScriptType
  Returns:
    return the constant of OdfScriptType, see style:script-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.